Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.geom
Class Polyline

    java.lang.Object
      gov.nasa.worldwind.geom.Polyline

All Implemented Interfaces:
  Renderable

    public class Polyline

extends Object
implements Renderable

Constructor Summary
`Polyline(Iterable<LatLon> positions, double elevation)`
`Polyline(Iterable<Position> positions)`

Method Summary
`int` | `getAntiAliasHint()`
`Color` | `getColor()`
`int` | `getNumEdgeIntervals()`
`Iterable<Position>` | `getPositions()`
`boolean` | `isFilled()`
`boolean` | `isFollowGreatCircles()`
`protected DoubleBuffer` | `makeGreatCircleVertices(DrawContext dc, List<Position> posList, double[] refCenter)`
`protected DoubleBuffer` | `makeVertices(DrawContext dc, List<Position> posList, double[] refCenter)`
`void` | `render(DrawContext dc)` Causes this `Renderable` to render itself using the `DrawContext` provided.
`void` | `setAntiAliasHint(int hint)`
`void` | `setColor(Color color)`
`void` | `setFilled(boolean filled)`
`void` | `setFollowGreatCircles(boolean followGreatCircles)`
`void` | `setNumEdgeIntervals(int numEdgeIntervals)`
`void` | `setPositions(Iterable<LatLon> inPositions, double elevation)`
`void` | `setPositions(Iterable<Position> inPositions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Polyline

    public Polyline(Iterable<LatLon> positions,
                    double elevation)

### Polyline

    public Polyline(Iterable<Position> positions)

Method Detail

### getAntiAliasHint

    public int getAntiAliasHint()

### getColor

    public Color getColor()

### getNumEdgeIntervals

    public int getNumEdgeIntervals()

### getPositions

    public Iterable<Position> getPositions()

### isFilled

    public boolean isFilled()

### isFollowGreatCircles

    public boolean isFollowGreatCircles()

### makeGreatCircleVertices

    protected DoubleBuffer makeGreatCircleVertices(DrawContext dc,
                                                   List<Position> posList,
                                                   double[] refCenter)

### makeVertices

    protected DoubleBuffer makeVertices(DrawContext dc,
                                        List<Position> posList,
                                        double[] refCenter)

### render

    public void render(DrawContext dc)

  Description copied from interface: `Renderable`
  Causes this `Renderable` to render itself using the `DrawContext` provided. The `DrawContext` provides the elevation model, openGl instance, globe and other information required for drawing. It is recommended that the `DrawContext` is non-null as most implementations do not support null `DrawContext`s.

  Specified by:
    `render` in interface `Renderable`
  Parameters:
    `dc` - the `DrawContext` to be used
  See Also:
    `DrawContext`

### setAntiAliasHint

    public void setAntiAliasHint(int hint)

### setColor

    public void setColor(Color color)

### setFilled

    public void setFilled(boolean filled)

### setFollowGreatCircles

    public void setFollowGreatCircles(boolean followGreatCircles)

### setNumEdgeIntervals

    public void setNumEdgeIntervals(int numEdgeIntervals)

### setPositions

    public void setPositions(Iterable<LatLon> inPositions,
                             double elevation)

### setPositions

    public void setPositions(Iterable<Position> inPositions)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD